Bug 20016 - use Modern::Perl in svc scripts
Summary: use Modern::Perl in svc scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Zoe Bennett
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 20:00 UTC by Aleisha Amohia
Modified: 2018-02-16 01:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;' (2.98 KB, patch)
2018-01-18 03:26 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;' (3.03 KB, patch)
2018-01-24 18:47 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20016: use Modern::Perl in svc scripts (3.10 KB, patch)
2018-02-04 13:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 20:00:52 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
authentication
bib
bib_profile
checkouts
config/systempreferences
import_bib
new_bib
Comment 1 Zoe Bennett 2018-01-18 03:26:26 UTC
Created attachment 70671 [details] [review]
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl' and not 'use trict; use
warnings;' in the follwing plugins svc scripts

authentication
bib
bib_profile
checkouts
config/systempreferences
import_bib
new_bib
Comment 2 Jon Knight 2018-01-24 18:47:36 UTC
Created attachment 70899 [details] [review]
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl' and not 'use trict; use
warnings;' in the follwing plugins svc scripts

authentication
bib
bib_profile
checkouts
config/systempreferences
import_bib
new_bib

https://bugs.koha-community.org/show_bug.cgi?id=20016
Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 3 M. Tompsett 2018-01-26 15:22:37 UTC
Jon Knight signed a patch supplied by Zoe Bennett. It looks good to me too. Changing to signed off, since I think that was just a forgotten step.
Comment 4 Katrin Fischer 2018-02-04 13:20:04 UTC
Created attachment 71183 [details] [review]
Bug 20016: use Modern::Perl in svc scripts

Test Plan:
- Check that it now says 'use Modern::Perl' and not 'use trict; use
warnings;' in the follwing plugins svc scripts

authentication
bib
bib_profile
checkouts
config/systempreferences
import_bib
new_bib

https://bugs.koha-community.org/show_bug.cgi?id=20016
Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-05 12:59:58 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 01:00:44 UTC
Awesome work all! Enhancement not backported to stable.